/* 
 * $RCSfile: gj_log.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/07/10 21:44:25 $
 * 
 * $Revision: 1.5 $
 *
 */

#ifndef __gj_log_h
#define __gj_log_h

#define GJ_LOG_LEVEL_ERROR             1 << 2        /* - always fatal */
#define GJ_LOG_LEVEL_CRITICAL          1 << 3
#define GJ_LOG_LEVEL_WARNING           1 << 4
#define GJ_LOG_LEVEL_MESSAGE           1 << 5
#define GJ_LOG_LEVEL_INFO              1 << 6
#define GJ_LOG_LEVEL_DEBUG             1 << 7

gboolean gj_log_init();
gboolean gj_log_term();

gboolean gj_log_handler(const char *log_domain, int log_level, const char *formatted);


#endif
