/* 
 * $RCSfile: gj_me.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/07/26 09:02:21 $
 * 
 * $Revision: 1.5 $
 *
 */

#ifdef __cplusplus
extern "C" {
#if 0
}
#endif
#endif

#ifndef __gj_me_h
#define __gj_me_h

#include <glib.h>

#include "gj_presence.h"

typedef void (*meUptimeCallback)(gdouble seconds);

/* initialisation / termination */
gboolean gj_me_init();
gboolean gj_me_term();

/* get members */
gboolean gj_me_get_is_connected();
const gchar *gj_me_get_connected_host();
guint gj_me_get_connected_port();

gboolean gj_me_get_is_auto_away();
presenceShow gj_me_get_auto_away_presence_show();

const gchar *gj_me_get_jid();
gchar *gj_me_get_jid_without_resource();

presenceType gj_me_get_presence_type();
presenceShow gj_me_get_presence_show();
const gchar *gj_me_get_presence_status();
gint8 gj_me_get_presence_priority();

gdouble gj_me_get_uptime();

/* set members */
void gj_me_set_is_connected(gboolean is_connected);
gboolean gj_me_set_connected_host(const gchar *host);
gboolean gj_me_set_connected_port(guint port);

void gj_me_set_is_auto_away(gboolean is_auto_away);
void gj_me_set_auto_away_presence_show(presenceShow show);

void gj_me_set_jid(gchar *jid);

void gj_me_set_presence_type(presenceType type);
void gj_me_set_presence_show(presenceShow show);
void gj_me_set_presence_status(gchar *status);
void gj_me_set_presence_priority(gint8 priority);

void gj_me_set_uptime_start();
void gj_me_set_uptime_stop();
void gj_me_set_uptime_restart();

gboolean gj_me_set_uptime_cb(void *cb);
void gj_me_set_uptime_cb_to_null();


#endif

#ifdef __cplusplus
}
#endif
