/* 
 * $RCSfile: gj_translate.h,v $
 *
 * $Author: ginxd $
 * $Date: 2003/07/28 21:21:34 $
 * 
 * $Revision: 1.4 $
 *
 */

#ifndef __gj_translate_h
#define __gj_translate_h

#include <glib.h>

#include "gj_roster.h"
#include "gj_presence.h"
#include "gj_message.h"
#include "gj_event.h"

const gchar *gj_translate_roster_item_type(rosterItemType type);

const gchar *gj_translate_roster_item_subscription(rosterItemSubscription subscription);
const gchar *gj_translate_roster_item_subscription_as_description(rosterItemSubscription subscription);

const gchar *gj_translate_event_type(eventType type);

const gchar *gj_translate_presence_type(presenceType type);
const gchar *gj_translate_presence_show(presenceShow show);

const gchar *gj_translate_message_type(messageType type);

gchar *gj_translate_message_xevent_type(gint type);



#endif
